%if 0%{?el7}
%define dist .el7
%endif

Name:		sarg
Version:	2.3.10
Release:	3%{?dist}
Summary:	Squid Analysis Report Generator

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:		Applications/System
License:	GPLv2
URL:		http://sarg.sourceforge.net
Source0:	http://sourceforge.net/projects/sarg/files/sarg/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:	http://sourceforge.net/projects/sarg/files/sarg/%{name}-%{version}/%{name}-%{version}.sha256sum
Source2:	sarg-httpd.conf
Source3:	sarg-www-httpd.conf

Patch0:     sarg-2.3.10-gettext.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gd-devel, openldap-devel, gettext-devel, gettext, pcre-devel, pcre
%if 0%{?fedora} >= 26
BuildRequires:  autoconf automake libtool
%endif
Requires:	gd, openldap, gettext

%description
Sarg is a Squid Analysis Report Generator that allow you to view "where" your users
are going to on the Internet.
Sarg generates reports in html, with many fields, like: users, IP Addresses, bytes, sites and times.

%package www
Summary:	Sarg Frontend
Group:		Applications/Internet
Requires:	httpd, sarg
%if 0%{?fedora} >= 10 || 0%{?rhel} >= 6
BuildArch: noarch
%endif

%description www
The php frontend to display the Sarg interface.

%prep
%setup -q
%patch0 -p1

sed -i -e 's,#access_log /usr/local/squid/var/logs/access.log,access_log %{_var}/log/squid/access.log,g' \
	-e 's,/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf,%{_datadir}/fonts/dejavu/DejaVuSans.ttf,g' \
	-e 's,#temporary_dir /tmp,temporary_dir /var/spool/sarg,g' \
	-e 's,#output_dir /var/www/html/squid-reports,output_dir %{_datadir}/sarg/squid-reports,g' \
	sarg.conf

sed -i -e 's,/usr/local/sarg/sarg.conf,/etc/sarg/sarg.conf,g' \
	-e 's,/usr/local/squid/etc/passwd,/etc/squid/passwd,g' \
	user_limit_block

sed -i -e 's,/usr/local/sarg/sarg.conf,/etc/sarg/sarg.conf,g' \
	-e 's,/usr/local/squidGuard/squidGuard.conf,/etc/squid/squidGuard.conf,g' \
	sarg-php/sarg-squidguard-block.php

sed -i -e 's,@mkdir_p@,mkdir -p,g' \
	po/Makefile.in.in

%if 0%{?fedora} >= 26
sed -i -e 's, -Werror=format",",g' configure.in

autoreconf -ifv
%endif

%build
export LIBS="$LIBS -lm"
%if 0%{?fedora} >= 26
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%endif

%configure \
	--with-gd \
	--with-ldap \
	--with-iconv \
	--with-pcre \
	--sysconfdir=%{_sysconfdir}/sarg \
	--enable-sargphp=%{_datadir}/sarg
make %{?_smp_mflags}
%if 0%{?fedora} >= 26
sed -i -e 's,@mkdir_p@,$(MKDIR_P),g' po/Makefile
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cd sarg-php
for d in `find . -type d`; do
	install -d -m0755 $RPM_BUILD_ROOT%{_datadir}/sarg-www/$d
done
for f in `find . -type f`; do
	install -c -m0644 $f $RPM_BUILD_ROOT%{_datadir}/sarg-www/$f
done

%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/sarg/sarg-php
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/sarg/fonts
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/sarg-www/{INSTALL,COPYING,LANGUAGES}

install -d -m0755 $RPM_BUILD_ROOT%{_datadir}/sarg/squid-reports
install -d -m0755 $RPM_BUILD_ROOT%{_var}/spool/sarg
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/sarg.conf
install -D -m0644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/sarg-www.conf

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc BETA-TESTERS CONTRIBUTORS ChangeLog DONATIONS README PROGRAMMERS sarg_manpage.xml
%{!?_licensedir:%global license %%doc}
%license COPYING LICENSE
%config(noreplace) %{_sysconfdir}/sarg/sarg.conf
%{_sysconfdir}/sarg/css.tpl
%{_sysconfdir}/sarg/exclude_codes
%{_sysconfdir}/sarg/user_limit_block
%{_mandir}/man1/*
%{_bindir}/sarg
%{_datadir}/locale/*
%{_datadir}/sarg/*
%dir %attr(-,apache,apache) %{_datadir}/sarg/squid-reports
%config(noreplace) %{_sysconfdir}/httpd/conf.d/sarg.conf

%files www
%doc sarg-php/{COPYING,INSTALL,LANGUAGES}
%defattr(-,root,root,-)
%{_datadir}/sarg-www/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/sarg-www.conf

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.3.10-3
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.3.10-2
- Rebuilt for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 2.3.10-1
- Rebuilt for fc22
- Update to 2.3.10

* Wed Oct 22 2014 momo-i <webmaster@momo-i.org> - 2.3.9-1
- Update to 2.3.9

* Mon Mar 17 2014 momo-i <webmaster@momo-i.org> - 2.3.8-1
- Update to 2.3.8
- format error fix

* Tue Mar 19 2013 momo-i <webmaster@momo-i.org> - 2.3.3-2
- Update 2.3.3
- change sarg report directory.
- change sarg-www directory.
- create new config for httpd

* Thu Aug 25 2011 momo-i <webmaster@momo-i.org> - 2.3.1-1
- Initial rpm release.
